## libpgjava 42.6.0

=== debian/changelog ===
libpgjava (42.6.0-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 Oct 2023 14:05:07 +0200

libpgjava (42.6.0-2) unstable; urgency=medium

  * Remove ancient Replaces/Conflicts. Thanks Helmut Grohne for the report.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Oct 2023 14:05:07 +0200

libpgjava (42.6.0-1) experimental; urgency=medium

  * New upstream version 42.6.0.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Mar 2023 09:36:55 +0200
