## libpgjava 42.7.0

=== debian/changelog ===
libpgjava (42.7.0-1.pgdg23.10+1) mantic-pgdg; urgency=medium

  * Rebuild for mantic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 21 Nov 2023 10:31:51 +0100

libpgjava (42.7.0-1) unstable; urgency=medium

  * New upstream version 42.7.0.

 -- Christoph Berg <myon@debian.org>  Tue, 21 Nov 2023 10:31:51 +0100
