## libpgjava 42.7.1

=== debian/changelog ===
libpgjava (42.7.1-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 07 Dec 2023 23:27:15 +0100

libpgjava (42.7.1-1) unstable; urgency=medium

  * New upstream version 42.7.1.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Dec 2023 23:27:15 +0100
