=== debian/changelog ===
libpgjava (42.7.2-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 22 Feb 2024 11:46:47 +0100

libpgjava (42.7.2-1) unstable; urgency=medium

  * New upstream version 42.7.2. (CVE-2024-1597)

 -- Christoph Berg <myon@debian.org>  Thu, 22 Feb 2024 11:46:47 +0100
