## libpgjava 42.7.3

=== debian/changelog ===
libpgjava (42.7.3-2) unstable; urgency=medium

  * Team upload.
  * Removed the -java-doc package (Closes: #1088125)
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Dec 2024 14:05:50 +0100

libpgjava (42.7.3-1) unstable; urgency=medium

  * New upstream version 42.7.3.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Mar 2024 15:13:39 +0100
