## libpgjava 42.7.5

=== debian/changelog ===
libpgjava (42.7.5-2.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 17 Apr 2025 11:14:38 +0000

libpgjava (42.7.5-2) unstable; urgency=medium

  * Fix org.postgresql.util.PSQLException: Unable to convert bytea parameter
    at position 1 to literal. (Closes: #1098830)

 -- Christoph Berg <myon@debian.org>  Thu, 17 Apr 2025 11:14:38 +0000

libpgjava (42.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed the unused dependency on libxerces2-java

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 10 Feb 2025 10:15:21 +0100
