## libpgjava 42.7.6

=== debian/changelog ===
libpgjava (42.7.6-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 02 Jun 2025 17:05:52 +0200

libpgjava (42.7.6-1) experimental; urgency=medium

  * New upstream version 42.7.6.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Jun 2025 17:05:52 +0200
