## libpgjava 42.7.7

=== debian/changelog ===
libpgjava (42.7.7-1) unstable; urgency=medium

  * New upstream version 42.7.7.
    Fixes CVE-2025-49146: When the PostgreSQL JDBC driver is configured with
    channel binding set to required (default value is prefer), the driver
    would incorrectly allow connections to proceed with authentication methods
    that do not support channel binding (such as password, MD5, GSS, or SSPI
    authentication). This could allow a man-in-the-middle attacker to
    intercept connections that users believed were protected by channel
    binding requirements.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Jun 2025 15:26:53 +0200
