=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
  libscram-java (>= 2.1),
  maven-debian-helper
 Build-Depends-Indep:
- default-jdk,
- libxerces2-java
+ default-jdk
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/java-team/libpostgresql-jdbc-java.git
