=== debian/changelog ===
libpgjava (42.7.8-1) unstable; urgency=medium

  * New upstream version 42.7.8.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2025 20:18:01 +0000

libpgjava (42.7.7-2) unstable; urgency=medium

  * Rebuild against libscram-java 3.2-1. (CVE-2025-59432)

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2025 18:14:27 +0000
