=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- package
	# defang package-contains-ancient-file
	touch README.md

override_dh_gencontrol:
	# the resulting .jar embeds classes from libscram-java. Note the version in Built-Using
	dh_gencontrol -- -VbuiltUsing='libscram-java (= $(shell dpkg-query --show --showformat '$${Version}' libscram-java))'
