=== debian/tests/control ===
Depends: @, postgresql (>= 10), sqlline
Tests: sqlline
Restrictions: allow-stderr
