## libpgjava 42.7.9

=== debian/changelog ===
libpgjava (42.7.9-1) unstable; urgency=medium

  * New upstream version 42.7.9.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jan 2026 14:52:24 +0100

libpgjava (42.7.8-2) unstable; urgency=medium

  * Team upload.
  * Ignore org.junit:junit-bom to avoid propagating it as a transitive
    dependency to reverse build-deps through the pom. (Closes: #1121881)
  * Bump Standards-Version to 4.7.2
  * Update d/copyright Format URL
  * Update debian/watch to version 5
  * Remove Rules-Requires-Root from debian/control

 -- tony mancill <tmancill@debian.org>  Wed, 03 Dec 2025 21:19:04 -0800
