## libpgjava 42.7.10

=== debian/changelog ===
libpgjava (42.7.10-1) unstable; urgency=medium

  * New upstream version 42.7.10.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Feb 2026 20:38:12 +0100
